Bug 429784 - anaconda created a new filesystem with the same label as existing
anaconda created a new filesystem with the same label as existing
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
Reported: 2008-01-22 18:31 EST by Charles R. Anderson
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-01 16:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-01-22 18:31:56 EST
Description of problem:

I have a dual-boot system running F7 on one VolumeGroup and rawhide on
another, with two separate /boot partitions.  Anaconda labeled /dev/sda3 as
/boot even though /dev/sda2 already has this label from my F7 install.

Version-Release number of selected component (if applicable):

How reproducible:
didn't try

Steps to Reproduce:
1. Install F7
2. Install rawhide-20080121 with a new /boot partition
3. Check labels of F7 vs. F9 /boot partitions
Actual results:

From rescue CD:

sh-3.2# e2label /dev/sda2
sh-3.2# e2label /dev/sda3

Expected results:
Different labels.
Comment 1 Charles R. Anderson 2008-02-07 20:28:04 EST
Candidates for fixing this are filed as Bug #364441, Bug #364451.  I like the
idea of using UUIDs instead of LABELs.

Comment 2 Jeremy Katz 2008-02-24 16:19:31 EST
We're going to switch to using UUIDs (I committed that today), but we still
shouldn't create duplicate labels.  There was a bug around the time of the alpha
which could have led to duplicate labels and I think it should be resolved now.
 Have you seen this more recently?
Comment 3 Jesse Keating 2008-04-01 16:41:23 EDT
No response in over a month.  Closing.

Note You need to log in before you can comment on or make changes to this bug.